EndpointsCoworlds

List Coworlds

GET/v2/coworlds

Lists Coworld versions visible to the caller, newest first.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

limit?Limit

Maximum Coworld versions to return.

Range1 <= value <= 500
Default200
cursor?|

Continuation token from the previous response's X-Next-Cursor header.

mine?Mine

Return only Coworlds owned by the caller.

Defaultfalse
name?|

Exact Coworld name.

q?|

Case-insensitive Coworld name search.

coworld_id?|

Exact Coworld version ID.

visibility?|

Filter by upload visibility.

latest_per_name?Latest Per Name

Return the newest visible upload for each name.

Defaultfalse
curl -X GET "https://softmax.com/api/observatory/v2/coworlds"
[  {    "name": "string",    "id": "string",    "version": "string",    "visibility": "public",    "canonical": true,    "manifest": {},    "api_version": "string",    "schema_hash": "string",    "manifest_hash": "string",    "size_bytes": 0,    "created_at": "2019-08-24T14:15:22Z",    "forum_markdown_url": "string",    "wiki_markdown_url": "string"  }]